"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _style = require("./style");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["prefixCls", "className", "tagName", "layout", "bordered", "label", "isLastCell", "colon", "span", "children", "column"];
function Cell() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var prefixCls = props.prefixCls,
    className = props.className,
    _props$tagName = props.tagName,
    TagName = _props$tagName === void 0 ? 'td' : _props$tagName,
    layout = props.layout,
    bordered = props.bordered,
    label = props.label,
    isLastCell = props.isLastCell,
    colon = props.colon,
    span = props.span,
    children = props.children,
    column = props.column,
    other = (0, _objectWithoutProperties2["default"])(props, _excluded);
  var labelProps = {
    className: [prefixCls ? "".concat(prefixCls, "-item-label") : null, className, colon ? "".concat(prefixCls, "-item-colon") : null, !label ? "".concat(prefixCls, "-item-no-label") : null].filter(Boolean).join(' ').trim()
  };
  if (layout === 'horizontal') {
    if (!bordered) {
      return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_style.DescriptionsStyleItem, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({
        as: TagName
      }, other), {}, {
        colSpan: span,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_style.DescriptionsStyleItem, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({
          as: "span"
        }, labelProps), {}, {
          isColon: colon,
          isLabel: !!label,
          children: label
        })), /*#__PURE__*/(0, _jsxRuntime.jsx)(_style.DescriptionsStyleItem, {
          as: "span",
          isContent: !!prefixCls,
          className: prefixCls ? "".concat(prefixCls, "-item-content") : '',
          children: children
        })]
      }));
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_react.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_style.DescriptionsStyleItem, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({
        as: "th"
      }, labelProps), {}, {
        bordered: bordered,
        isColon: colon,
        isLabel: !!label,
        children: label
      })), /*#__PURE__*/(0, _jsxRuntime.jsx)(_style.DescriptionsStyleItem, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, other), {}, {
        as: TagName,
        isContent: !!prefixCls,
        bordered: bordered,
        colSpan: span ? span * 2 - 1 : span,
        className: prefixCls ? "".concat(prefixCls, "-item-content") : '',
        children: children
      }))]
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_style.DescriptionsStyleItem, {
    bordered: bordered,
    isLabel: TagName === 'th',
    isContent: TagName === 'td',
    as: TagName,
    colSpan: span,
    className: "".concat(prefixCls, "-item-").concat(TagName === 'td' ? 'content' : 'label'),
    children: children
  });
}
var _default = Cell;
exports["default"] = _default;
module.exports = exports.default;
//# sourceMappingURL=Cell.js.map